4Suite™ API Documentation

# ► Module Ft.Xml.Xvif

XVIF integration for 4Suite. Includes basic RELAX NG support

    Copyright 2002 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: RelaxNgValidator, RngInvalid |  |  |  | Globals: NonvalidatingReader

## Classes

class RelaxNgValidator
  A class providing RELAX NG support

  ### Methods

  __init__(self, isrc)
  isValid(self, isrc)
  isValidNode(self, node)
  validate(self, isrc)
  validateNode(self, node)
class RngInvalid(Exception)

  ### Methods

  __init__(self, rngResult)
    Overrides: __init__ from class Exception

  ### Methods inherited from class Exception

  __getitem__, __str__

## Globals

NonvalidatingReader = <Ft.Xml.Domlette.NonvalidatingReaderBase instance>
  The default non-validating reader instance, created from NonvalidatingReaderBase() with no constructor arguments.

      Uses the default InputSource factory. If you need to change it,
      reassign the inputSourceFactory attribute, or, preferably, just
      create a new NonvalidatingReaderBase instance.